# LayerColumnFillLayout (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.common.table

## Class LayerColumnFillLayout

- java.lang.Object
- - org.eclipse.nebula.widgets.nattable.layer.AbstractLayer
  - - org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform
    - - org.deidentifier.arx.gui.view.impl.common.table.CTLayer
      - - org.deidentifier.arx.gui.view.impl.common.table.LayerColumnFillLayout

- All Implemented Interfaces:
    CTComponent, org.eclipse.nebula.widgets.nattable.layer.ILayer, org.eclipse.nebula.widgets.nattable.layer.ILayerListener, org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer, org.eclipse.nebula.widgets.nattable.persistence.IPersistable

      public class LayerColumnFillLayout
      extends CTLayer
      implements org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer

  Adds an additional column to fill up the space.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform

      `underlyingLayer`

    - ### Fields inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractLayer

      `layerPainter`

    - ### Fields inherited from interface org.eclipse.nebula.widgets.nattable.persistence.IPersistable

      `DOT, VALUE_SEPARATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LayerColumnFillLayout(org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer underlyingDataLayer, CTConfiguration config, CTContext context)`
    `LayerColumnFillLayout(org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer underlyingDataLayer, CTConfiguration config, CTContext context, boolean equalWidth)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `doCommand(org.eclipse.nebula.widgets.nattable.command.ILayerCommand command)`
    `org.eclipse.nebula.widgets.nattable.layer.cell.ILayerCell` | `getCellByPosition(int columnPosition, int rowPosition)`
    `int` | `getColumnCount()`
    `int` | `getColumnIndexByPosition(int columnPosition)`
    `int` | `getColumnPositionByIndex(int columnIndex)`
    `int` | `getColumnPositionByX(int x)`
    `int` | `getColumnWidthByPosition(int columnPosition)`
    `org.eclipse.nebula.widgets.nattable.layer.LabelStack` | `getConfigLabelsByPosition(int columnPosition, int rowPosition)`
    `java.lang.Object` | `getDataValueByPosition(int columnPosition, int rowPosition)` NOTE: Since this is a `IUniqueIndexLayer` sitting close to the `DataLayer`, columnPosition == columnIndex.
    `int` | `getPreferredColumnCount()`
    `int` | `getPreferredWidth()`
    `int` | `getRowPositionByIndex(int rowIndex)`
    `int` | `getStartXOfColumnPosition(int columnPosition)`
    `int` | `getWidth()`
    `void` | `handleLayerEvent(org.eclipse.nebula.widgets.nattable.layer.event.ILayerEvent event)`

    - ### Methods inherited from class org.deidentifier.arx.gui.view.impl.common.table.CTLayer

      `getConfig, getContext`

    - ### Methods inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform

      `configure, dispose, getCellPainter, getDisplayModeByPosition, getHeight, getLayerPainter, getPreferredHeight, getPreferredRowCount, getRegionLabelsByXY, getRowCount, getRowHeightByPosition, getRowIndexByPosition, getRowPositionByY, getStartYOfRowPosition, getUnderlyingLayer, getUnderlyingLayerByPosition, getUnderlyingLayersByColumnPosition, getUnderlyingLayersByRowPosition, isColumnPositionResizable, isRowPositionResizable, loadState, localToUnderlyingColumnPosition, localToUnderlyingRowPosition, saveState, setClientAreaProvider, setUnderlyingLayer, underlyingToLocalColumnPosition, underlyingToLocalColumnPositions, underlyingToLocalRowPosition, underlyingToLocalRowPositions`

    - ### Methods inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractLayer

      `addConfiguration, addLayerListener, clearConfiguration, fireLayerEvent, getBoundsByPosition, getClientAreaProvider, getConfigLabelAccumulator, getRegionName, hasLayerListener, registerCommandHandler, registerCommandHandlers, registerEventHandler, registerPersistable, removeLayerListener, setConfigLabelAccumulator, setLayerPainter, setRegionName, toString, unregisterCommandHandler, unregisterEventHandler, unregisterPersistable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.nebula.widgets.nattable.layer.ILayer

      `addLayerListener, configure, dispose, fireLayerEvent, getBoundsByPosition, getCellPainter, getClientAreaProvider, getDisplayModeByPosition, getHeight, getLayerPainter, getPreferredHeight, getPreferredRowCount, getRegionLabelsByXY, getRowCount, getRowHeightByPosition, getRowIndexByPosition, getRowPositionByY, getStartYOfRowPosition, getUnderlyingLayerByPosition, getUnderlyingLayersByColumnPosition, getUnderlyingLayersByRowPosition, hasLayerListener, isColumnPositionResizable, isRowPositionResizable, localToUnderlyingColumnPosition, localToUnderlyingRowPosition, registerCommandHandler, registerPersistable, removeLayerListener, setClientAreaProvider, underlyingToLocalColumnPosition, underlyingToLocalColumnPositions, underlyingToLocalRowPosition, underlyingToLocalRowPositions, unregisterCommandHandler, unregisterPersistable`

    - ### Methods inherited from interface org.eclipse.nebula.widgets.nattable.persistence.IPersistable

      `loadState, saveState`

- - ### Constructor Detail

    - #### LayerColumnFillLayout

          public LayerColumnFillLayout(org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer underlyingDataLayer,
                               CTConfiguration config,
                               CTContext context)

      Parameters:
        `underlyingDataLayer` -
        `config` -
        `context` -

    - #### LayerColumnFillLayout

          public LayerColumnFillLayout(org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer underlyingDataLayer,
                               CTConfiguration config,
                               CTContext context,
                               boolean equalWidth)

      Parameters:
        `underlyingDataLayer` -
        `config` -
        `context` -
        `equalWidth` -

  - ### Method Detail

    - #### doCommand

          public boolean doCommand(org.eclipse.nebula.widgets.nattable.command.ILayerCommand command)

      Specified by:
        `doCommand` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
      Overrides:
        `doCommand` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform`

    - #### getCellByPosition

          public org.eclipse.nebula.widgets.nattable.layer.cell.ILayerCell getCellByPosition(int columnPosition,
                                                                                    int rowPosition)

      Specified by:
        `getCellByPosition` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
      Overrides:
        `getCellByPosition` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform`

    - #### getColumnCount

          public int getColumnCount()

      Specified by:
        `getColumnCount` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
      Overrides:
        `getColumnCount` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform`

    - #### getColumnIndexByPosition

          public int getColumnIndexByPosition(int columnPosition)

      Specified by:
        `getColumnIndexByPosition` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
      Overrides:
        `getColumnIndexByPosition` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform`

    - #### getColumnPositionByIndex

          public int getColumnPositionByIndex(int columnIndex)

      Specified by:
        `getColumnPositionByIndex` in interface `org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer`

    - #### getColumnPositionByX

          public int getColumnPositionByX(int x)

      Specified by:
        `getColumnPositionByX` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
      Overrides:
        `getColumnPositionByX` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform`

    - #### getColumnWidthByPosition

          public int getColumnWidthByPosition(int columnPosition)

      Specified by:
        `getColumnWidthByPosition` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
      Overrides:
        `getColumnWidthByPosition` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform`

    - #### getConfigLabelsByPosition

          public org.eclipse.nebula.widgets.nattable.layer.LabelStack getConfigLabelsByPosition(int columnPosition,
                                                                                       int rowPosition)

      Specified by:
        `getConfigLabelsByPosition` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
      Overrides:
        `getConfigLabelsByPosition` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform`

    - #### getDataValueByPosition

          public java.lang.Object getDataValueByPosition(int columnPosition,
                                                int rowPosition)

      NOTE: Since this is a `IUniqueIndexLayer` sitting close to the `DataLayer`, columnPosition == columnIndex.
      Specified by:
        `getDataValueByPosition` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
      Overrides:
        `getDataValueByPosition` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform`
      Parameters:
        `columnPosition` -
        `rowPosition` -
      Returns:

    - #### getPreferredColumnCount

          public int getPreferredColumnCount()

      Specified by:
        `getPreferredColumnCount` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
      Overrides:
        `getPreferredColumnCount` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform`

    - #### getPreferredWidth

          public int getPreferredWidth()

      Specified by:
        `getPreferredWidth` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
      Overrides:
        `getPreferredWidth` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform`

    - #### getRowPositionByIndex

          public int getRowPositionByIndex(int rowIndex)

      Specified by:
        `getRowPositionByIndex` in interface `org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer`

    - #### getStartXOfColumnPosition

          public int getStartXOfColumnPosition(int columnPosition)

      Specified by:
        `getStartXOfColumnPosition` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
      Overrides:
        `getStartXOfColumnPosition` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform`

    - #### getWidth

          public int getWidth()

      Specified by:
        `getWidth` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
      Overrides:
        `getWidth` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform`

    - #### handleLayerEvent

          public void handleLayerEvent(org.eclipse.nebula.widgets.nattable.layer.event.ILayerEvent event)

      Specified by:
        `handleLayerEvent` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayerListener`
      Overrides:
        `handleLayerEvent` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayer`